Question

java.util.ServiceConfigurationError: javax.xml.validation.SchemaFactory:../Saxon-EE-9.4.3.jar!/...

We have a application in 7.1.8 and planning to upgrade to 8.2.3. Websphere version was changed from 8.5.5.9 to 8.5.5.15. Before the upgrade when validating the application we found the below log error when try to invoke SOAP services, does anyone encountered the same error, or know how to resolve this

java.util.ServiceConfigurationError: javax.xml.validation.SchemaFactory: wsjar:file:/was8/AppConfig/XXXX/2.2.0/lib/Saxon-EE-9.4.3.jar!/META-INF/services/javax.xml.validation.SchemaFactory:2: Illegal configuration-file syntax

***Edited by Moderator Marissa to update platform capability tags****

Correct Answer
September 20, 2019 - 8:16pm

We did a upgrade from 8.5.5.9 to 8.5.5.15.

we have removed the Saxon jar reference and the issue got resolved

Comments

Keep up to date on this post and subscribe to comments

September 16, 2019 - 2:22pm

So this happens after you only upgraded the WAS? Please attach the entire log.

September 20, 2019 - 8:16pm
Response to KevinZheng_GCS

We did a upgrade from 8.5.5.9 to 8.5.5.15.

we have removed the Saxon jar reference and the issue got resolved

September 21, 2019 - 7:20am

that makes sense, thanks for sharing!